# $Revision: 1.10 $, $Date: 2011/03/01 06:28:56 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_CH
Summary:	%{_pearname} - Validation class for CH
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla Szwajcarii
Name:		php-pear-%{_pearname}
Version:	0.6.0
Release:	3
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c8aa959cab643d8e55798f604f01928f
URL:		http://pear.php.net/package/Validate_CH/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
Requires:	php-pear-Validate >= 0.5.0
Obsoletes:	php-pear-Validate_CH-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for CH such as:
- SSN
- Postal Code
- Student ID

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Szwajcarii danych takich jak:
- numer ubezpieczenia społecznego (SSN)
- kod pocztowy
- numer identyfikacyjny studenta

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/CH.php
%dir %{php_pear_dir}/data/Validate_CH
%{php_pear_dir}/data/Validate_CH/CH_postcodes.txt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Validate_CH.spec,v $
Revision 1.10  2011/03/01 06:28:56  glen
- release 3

Revision 1.9  2011/01/23 01:03:29  sparky
- dropped -tests subpackage

Revision 1.8  2010/08/21 19:08:36  glen
- updated deps with pearize.sh
- release 2

Revision 1.7  2009/01/18 09:25:36  adamg
- updated to 0.6.0

Revision 1.6  2008-01-31 12:16:11  glen
- rel 2

Revision 1.5  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.3  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/28 20:36:46  qboosh
- missing dirs, pl cosmetic, explicit Epoch (used in -tests)

Revision 1.1  2006/04/24 16:45:10  adamg
- new
